Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class BridgeContext.DOMMouseOverEventListener

    java.lang.Object
      org.apache.batik.bridge.BridgeContext.DOMMouseOverEventListener

All Implemented Interfaces:
  org.w3c.dom.events.EventListener

Enclosing class:
  BridgeContext

protected class BridgeContext.DOMMouseOverEventListener
extends java.lang.Object
implements org.w3c.dom.events.EventListener

The DOM EventListener invoked when the mouse mouves over a new element. Here is how cursors are handled:

Constructor Summary
`protected` | `BridgeContext.DOMMouseOverEventListener()`

Method Summary
`void` | `handleEvent(org.w3c.dom.events.Event evt)` Handles 'mouseover' MouseEvent event type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BridgeContext.DOMMouseOverEventListener

    protected BridgeContext.DOMMouseOverEventListener()

Method Detail

### handleEvent

    public void handleEvent(org.w3c.dom.events.Event evt)

  Handles 'mouseover' MouseEvent event type.

  Specified by:
    `handleEvent` in interface `org.w3c.dom.events.EventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.